Bug 340116 - qml decos: Wheel event setting has no effect
Summary: qml decos: Wheel event setting has no effect
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: aurorae (show other bugs)
Version: 5.1.1
Platform: Archlinux Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-19 07:18 UTC by Wyatt Childers
Modified: 2014-12-11 08:28 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wyatt Childers 2014-10-19 07:18:44 UTC
The wheel event setting in "Window Behavior" for KWin has no effect.

Reproducible: Always

Steps to Reproduce:
1. Set the wheel event to something like "Change opacity"
2. Click apply
3. Attempt to use the mouse wheel to trigger the opacity change

Actual Results:  
The setting will change, but scrolling on the window will still not change the opacity

Expected Results:  
3. The setting will change, and scrolling on the window will change the opacity as in KWin 4.x

I'm using Manjaro, so the packages aren't 100% arch packages, but there should be virtually no difference.
Comment 1 Thomas Lübking 2014-10-19 07:44:54 UTC
which deco? aurorae/breeze, new breeze or oxygen? does it happen with oxygen?
Comment 2 Wyatt Childers 2014-10-19 07:46:52 UTC
I'm using Breeze, and I also have Breeze kde4.
Comment 3 Wyatt Childers 2014-10-19 07:48:12 UTC
This does function properly in oxygen.
Comment 4 Thomas Lübking 2014-10-19 07:49:47 UTC
i bet your right arn, that it's actually an aurorae theme:
   qdbus.org.KWin /KWin supportInformation
Comment 5 Wyatt Childers 2014-10-19 07:50:26 UTC
I also quickly tried it in Plastik, Oxygen appears to be the only Window Decoration which responds of the three.
Comment 6 Wyatt Childers 2014-10-19 07:53:44 UTC
KWin Support Information:
The following information should be used when requesting support on e.g. http://forum.kde.org.
It provides information about the currently running instance, which options are used,
what OpenGL driver and which effects are running.
Please post the information provided underneath this introductory text to a paste bin service
like http://paste.kde.org instead of pasting into support threads.

==========================

Version
=======
KWin version: 5.1.0
Qt Version: 5.3.2

Operation Mode: X11 only

Options
=======
focusPolicy: 0
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
showDesktopIsMinimizeAll: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
legacyFullscreenSupport: false
operationTitlebarDblClick: 
commandActiveTitlebar1: 0
commandActiveTitlebar2: 30
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 30
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 31
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777251
showGeometryTip: false
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
inactiveTabsSkipTaskbar: false
autogroupSimilarWindows: false
autogroupInForeground: true
compositingMode: 1
useCompositing: true
compositingInitialized: true
hiddenPreviews: 1
unredirectFullscreen: false
glSmoothScale: 1
colorCorrected: false
xrenderSmoothScale: false
maxFpsInterval: 16666666
refreshRate: 0
vBlankTime: 6000000
glStrictBinding: true
glStrictBindingFollowsDriver: true
glCoreProfile: true
glPreferBufferSwap: 101
glPlatformInterface: 

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 
timeThreshold: 150
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  no
Number of Screens: 1
Screen 0 Geometry: 0,0,1920x1080

Decoration
==========
Current Plugin: aurorae
Shadows: yes
Alpha: yes
Announces Alpha: yes
Tabbing: no
Frame Overlap: yes
Blur Behind: yes

Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Haswell Mobile 
OpenGL version string: 3.3 (Core Profile) Mesa 10.3.1
OpenGL platform interface: GLX
OpenGL shading language version string: 3.30
Driver: Intel
GPU class: Haswell
OpenGL version: 3.3
GLSL version: 3.30
Mesa version: 10.3.1
X server version: 1.16.1
Linux kernel version: 3.17.1
Direct rendering: Requires strict binding: yes
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used
Painting blocks for vertical retrace:  no

Loaded Effects:
---------------
zoom
slidingpopups
kwin4_effect_login
wobblywindows
slide
screenshot
minimizeanimation
kwin4_effect_translucency
desktopgrid
kwin4_effect_maximize
kwin4_effect_fade
presentwindows
highlightwindow
kwin4_effect_dialogparent
blur
contrast
logout
dashboard
startupfeedback
screenedge
kscreen

Currently Active Effects:
-------------------------
blur
contrast

Effect Settings:
----------------
zoom:
zoomFactor: 1.2
mousePointer: 0
mouseTracking: 0
enableFocusTracking: false
followFocus: true
focusDelay: 350
moveFactor: 20
targetZoom: 1

slidingpopups:
fadeInTime: 150
fadeOutTime: 250

kwin4_effect_login:

wobblywindows:
stiffness: 0.15
drag: 0.8
moveFactor: 0.1
xTesselation: 20
yTesselation: 20
minVelocity: 0
maxVelocity: 1000
stopVelocity: 0.5
minAcceleration: 0
maxAcceleration: 1000
stopAcceleration: 0.5
moveEffectEnabled: true
openEffectEnabled: false
closeEffectEnabled: false
moveWobble: true
resizeWobble: true

slide:

screenshot:

minimizeanimation:

kwin4_effect_translucency:

desktopgrid:
zoomDuration: 300
border: 10
desktopNameAlignment: 0
layoutMode: 0
customLayoutRows: 2
usePresentWindows: true

kwin4_effect_maximize:

kwin4_effect_fade:

presentwindows:
layoutMode: 0
showCaptions: true
showIcons: true
doNotCloseWindows: false
ignoreMinimized: false
accuracy: 20
fillGaps: true
fadeDuration: 150
showPanel: false
leftButtonWindow: 1
rightButtonWindow: 2
middleButtonWindow: 0
leftButtonDesktop: 2
middleButtonDesktop: 0
rightButtonDesktop: 0

highlightwindow:

kwin4_effect_dialogparent:

blur:
blurRadius: 12
cacheTexture: true

contrast:

logout:
useBlur: true

dashboard:
brightness: 0.5
saturation: 0.5
blur: false

startupfeedback:

screenedge:

kscreen:
Comment 7 Wyatt Childers 2014-10-19 07:54:16 UTC
*facepalm* Sorry, read the pastebin comment right as I clicked save changes...
Comment 8 Thomas Lübking 2014-10-19 08:55:07 UTC
plastik is qml as well, many thanks for testing.
Comment 9 Wyatt Childers 2014-10-19 23:51:25 UTC
http://paste.kde.org/prpimiou1

I started using oxygen, and just a few minutes ago I noticed that my scrolling event stopped working, just like when I was on breeze. The pastebin above is the data from that, logging out, and logging back in seems to have restored the functionality though.
Comment 10 Thomas Lübking 2014-10-20 14:22:31 UTC
Does only altering the opacity fail or any other action (change VD or shede etc.) fail as well?
Is it maybe limited to certain clients?
Comment 11 Wyatt Childers 2014-10-20 14:35:20 UTC
I tried selecting random options for the wheel event (not all but several), no events seemed to respond after opacity stopped responding. In regards to the clients question, are you refering to like different applications? In which case I would say no, it doesn't descriminate. 

In general, the wheel event setting works perfectly fine in Oxygen, and not at all for Breeze/Plastik, but for whatever reason it did stop working on Oxygen until relog during that instance.
Comment 12 Martin Flöser 2014-12-11 08:28:50 UTC
Problem fixed with the new KDecoration2 work integrated in the upcoming 5.2 release